using System;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            string x, y;
            x = Console.ReadLine();
            y = Console.ReadLine();
            string novbroj = "";
            if (x.Length == y.Length)
            {
                for(int i = 0; i < x.Length; i++)
                {
                    int a = int.Parse(x[i].ToString()), b = int.Parse(y[i].ToString());
                    if (a > b)
                    {
                        novbroj += a;
                    }else if (b > a)
                    {
                        novbroj += b;
                    }
                    else
                    {
                        novbroj += a;
                        novbroj += b;
                    }
                }
            }else if (x.Length > y.Length)
            {
                for(int i = 0; i < x.Length - y.Length; i++)
                {
                    novbroj += x[i];
                }
                for(int i = 0; i < y.Length; i++)
                {
                    int a = int.Parse(x[i + x.Length - y.Length].ToString()), b = int.Parse(y[i].ToString());
                    if (a > b)
                    {
                        novbroj += a;
                    }else if (b > a)
                    {
                        novbroj += b;
                    }
                    else
                    {
                        novbroj += a;
                        novbroj += b;
                    }
                }
            }else if (y.Length > x.Length)
            {
                for(int i = 0; i < y.Length - x.Length; i++)
                {
                    novbroj += y[i];
                }
                for(int i = 0; i < x.Length; i++)
                {
                    int a = int.Parse(x[i].ToString()), b = int.Parse(y[i + y.Length - x.Length].ToString());
                    if (a > b)
                    {
                        novbroj += a;
                    }else if (b > a)
                    {
                        novbroj += b;
                    }
                    else
                    {
                        novbroj += a;
                        novbroj += b;
                    }
                }
            }
            Console.WriteLine(novbroj);
        }
    }
}